API Reference
Coverage & provenance
Authorization
InfraApiKey AuthorizationBearer <token>
Send sk_live_* (production) or sk_test_* (test mode).
In: header
Response Body
application/json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/coverage"{ "issuers": 45110, "tickers_with_kpis": 4228, "datasets": { "filings": 502745, "transcripts": 8308, "kpi_metrics": 574436, "kpi_observations": 1517762, "ir_documents": 311458, "document_chunks": 5720006 }, "allowlist": [ "databento_mini", "finra", "iex_hist", "issuer_page", "nasdaq", "sec", "signals_ir", "signals_transcript" ]}{ "type": "https://docs.signals.ai/errors/invalid-key", "title": "Invalid API key", "status": 401, "detail": "Missing or invalid API key.", "request_id": "req_0dc23f9b4a0f8f2a", "instance": "/v1/companies/UBER"}{ "type": "https://docs.signals.ai/errors/rate-limited", "title": "Rate limit exceeded", "status": 429, "detail": "Your current plan's burst or daily quota has been exceeded.", "request_id": "req_8b44f5d1a8d1f48b", "instance": "/v1/search"}Authorization
InfraApiKey AuthorizationBearer <token>
Send sk_live_* (production) or sk_test_* (test mode).
In: header
Path Parameters
symbol*Symbol
Response Body
application/json
application/problem+json
application/json
application/problem+json
curl -X GET "https://example.com/v1/coverage/string"{ "company": { "symbol": "UBER:US", "ticker": "UBER", "market": "US", "name": "Uber Technologies, Inc. Common Stock", "cik": "0001543151", "isin": null, "figi": null, "issuer_id": 10483 }, "datasets": { "filings": { "count": 89, "latest": "2026-07-16T00:00:00+00:00" }, "transcripts": { "count": 3, "latest": "2026-07-16T00:00:00+00:00" }, "kpi_observations": { "count": 716, "latest": "2026-07-20T10:18:42.762293" }, "ir_documents": { "count": 136, "latest": "2026-07-15T00:00:00+00:00" } }}{ "type": "https://docs.signals.ai/errors/invalid-key", "title": "Invalid API key", "status": 401, "detail": "Missing or invalid API key.", "request_id": "req_0dc23f9b4a0f8f2a", "instance": "/v1/companies/UBER"}{ "detail": [ { "type": "string_too_short", "loc": [ "body", "query" ], "msg": "String should have at least 2 characters", "input": "q", "ctx": { "min_length": 2 } } ]}{ "type": "https://docs.signals.ai/errors/rate-limited", "title": "Rate limit exceeded", "status": 429, "detail": "Your current plan's burst or daily quota has been exceeded.", "request_id": "req_8b44f5d1a8d1f48b", "instance": "/v1/search"}Authorization
InfraApiKey AuthorizationBearer <token>
Send sk_live_* (production) or sk_test_* (test mode).
In: header
Path Parameters
src_id*Src Id
Query Parameters
redirect?Redirect
Default
falseResponse Body
application/json
application/problem+json
application/json
application/problem+json
curl -X GET "https://example.com/v1/src/string"{ "src_id": "src_kpi2_62a1f4d90a6c4b18", "dataset": "kpi2", "digest": "62a1f4d90a6c4b18", "resolvable": false, "gap": "src_id is a stable content hash minted at serialize time; a reverse-lookup table is not built, so the source record cannot be resolved from the id alone"}{ "type": "https://docs.signals.ai/errors/invalid-key", "title": "Invalid API key", "status": 401, "detail": "Missing or invalid API key.", "request_id": "req_0dc23f9b4a0f8f2a", "instance": "/v1/companies/UBER"}{ "detail": [ { "type": "string_too_short", "loc": [ "body", "query" ], "msg": "String should have at least 2 characters", "input": "q", "ctx": { "min_length": 2 } } ]}{ "type": "https://docs.signals.ai/errors/rate-limited", "title": "Rate limit exceeded", "status": 429, "detail": "Your current plan's burst or daily quota has been exceeded.", "request_id": "req_8b44f5d1a8d1f48b", "instance": "/v1/search"}